Rates

Update Custom Rate Provider

POST
/api/v2/rates/custom/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

Rate Provider ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/rates/custom/1" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 1,  "name": "custom_rate",  "provider": "custom",  "enabled": true,  "priority": 1,  "fromCurrencies": [    "USD",    "EUR"  ],  "toCurrencies": [    "BTC",    "ETH"  ],  "lifetime": 0,  "options": {    "rate": "1.2345",    "baseCurrency": "USD"  },  "createTime": "2022-01-01T00:00:00+00:00",  "updateTime": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}